Name:           dwb
Version:        2012.02.01
Release:        3%{?dist}
Summary:        Dynamic web browser based on WebKit and GTK+

License:        GPLv3+
URL:            https://bitbucket.org/portix/dwb/wiki/Home
Source0:        https://bitbucket.org/portix/dwb/downloads/%{name}-%{version}.tar.gz
Patch0:         %{name}-mimetype.patch

BuildRequires:  gtk3-devel
BuildRequires:  webkitgtk3-devel
BuildRequires:  desktop-file-utils

%description
dwb is small webkit-based web-browser in the spirit of tiling window managers,
that aims to be mostly keyboard-driven.

%prep
%setup -q
# Adding Mime type so that dwb can be detected as a web browser
# See https://bitbucket.org/portix/dwb/issue/115/add-x-scheme-handler-to-mimetype
%patch0 -p1 -b .orig

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/%{name}.png

%doc README gpl-3.0.txt

%changelog
* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-3
- Added desktop file validation

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-2
- Added Mime type and desktop database update
- Split BR on two lines, removed deffattr, removed blank lines

* Sun Mar 04 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2012.02.01-1
- Initial version

